Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: "Stefan-W. Hahn" <[email-masked]>
Date: Sat, 22 Feb 2014 12:08:58 +0100

Mail von Eli Zaretskii, Sat, 22 Feb 2014 at 11:18:08 +0200:

Hello,

> > But anyway it is compared to an older emacs where it takes less then a
> > second to update the table.
> 
> OK, I can confirm the slow-down.  The profile points to forward-line,
> so I disabled cache-long-scans, and -- lo and behold -- the slowdown
> went away.  So this should be the workaround for the time being.

Sounds good. Is it right that I can set this variable globally only by
installing a function setting it in find-file-hook?

I tested it that way with my original file.
(elp-instrument-package org; elp-result for org-ctrl-c-ctrl-c)

emacs 24.3.50.1    2.083 sec (cache-long-scans nil, set by file-find-hook)
emacs 24.3.1       0.758 sec (cache-long-line-scan nil; as it was)

So it is better, but not so good as in the old emacs.

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.